export interface Forecast {
    coord: {
      lon: number;
      lat: number;
    };
    weather: {
      id: number;
      main: string;
      description: string;
      icon: string;
    }[];
    base: string;
    main: {
      temp: number;
      feels_like: number;
      temp_min: number;
      temp_max: number;
      pressure: number;
      humidity: number;
      sea_level: number;
      grnd_level: number;
    };
    visibility: number;
    wind: {
      speed: number;
      deg: number;
      gust: number;
    };
    rain: {
      onehour: number;
    };
    clouds: {
      all: number;
    };
    dt: number;
    sys: {
      type: number;
      id: number;
      country: string;
      sunrise: number;
      sunset: number;
    };
    timezone: number;
    id: number;
    name: string;
    cod: number;
  }

export interface LocationType {
  results: {
      address_components: {
          long_name: string;
          short_name: string;
          types: string[];
      }[];
      formatted_address: string;
      geometry: {
          bounds: {
              northeast: {
                  lat: number;
                  lng: number;
              };
              southwest: {
                  lat: number;
                  lng: number;
              };
          };
          location: {
              lat: number;
              lng: number;
          };
          location_type: string;
          viewport: {
              northeast: {
                  lat: number;
                  lng: number;
              };
              southwest: {
                  lat: number;
                  lng: number;
              };
          };
      };
      place_id: string;
      types: string[];
  }[];
  status: string;
} 

export interface coordType {
    latitude: string;
    longtitude: string;
  }